package Hito4;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Observable;
import javax.persistence.*;

// #[regen=yes,id=DCE.BADD59A2-4B3E-4207-0513-52FC7DD49333]
// </editor-fold> ~

public class ParteDiferencia extends Observable{

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.917C51D5-6FFD-1F14-1625-E9C6A16ABABF]
    // </editor-fold>

    private Empleado E;
    private Double saldoEnCaja;
    private Double saldoDebeHaber;    
    private String fecha;
    private int ncaja;
    private int tipoParte=0;//1para inical,2para final
    
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.ED4E776C-E0AB-A19E-1C15-B3A01617F224]
    // </editor-fold> 
    

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.54137737-5932-6F5C-D3D9-52517C68BFBC]
    // </editor-fold> 
    public ParteDiferencia () {
    }

    /**
     * @return the E
     */
    public Empleado getE() {
        return E;
    }

    /**
     * @param E the E to set
     */
    public void setE(Empleado E) {
        this.E = E;
    }

    /**
     * @return the saldoEnCaja
     */
    public Double getSaldoEnCaja() {
        return saldoEnCaja;
    }

    /**
     * @param saldoEnCaja the saldoEnCaja to set
     */
    public void setSaldoEnCaja(Double saldoEnCaja) {
        this.saldoEnCaja = saldoEnCaja;
    }

    /**
     * @return the saldoDebeHaber
     */
    public Double getSaldoDebeHaber() {
        return saldoDebeHaber;
    }

    /**
     * @param saldoDebeHaber the saldoDebeHaber to set
     */
    public void setSaldoDebeHaber(Double saldoDebeHaber) {
        this.saldoDebeHaber = saldoDebeHaber;
    }

    /**
     * @return the fecha
     */
    public String getFecha() {
        return fecha;
    }

    /**
     * @param fecha the fecha to set
     */
    public void setFecha(String fecha) {
        this.fecha = fecha;
    }

    /**
     * @return the ncaja
     */
    public int getNcaja() {
        return ncaja;
    }

    /**
     * @param ncaja the ncaja to set
     */
    public void setNcaja(int ncaja) {
        this.ncaja = ncaja;
    }

    /**
     * @return the tipoParte
     */
    public int getTipoParte() {
        return tipoParte;
    }

    /**
     * @param tipoParte the tipoParte to set
     */
    public void setTipoParte(int tipoParte) {
        this.tipoParte = tipoParte;
    }

}

